<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_company.php                                        ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_company.html");
	$t->set_var("admin_company_href",   "admin_company.php");
	$t->set_var("admin_companies_href", "admin_companies.php");
	$t->set_var("admin_upload_href",    "admin_upload.php");
	$t->set_var("admin_select_href",    "admin_select.php");

	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");

	$r = new VA_Record($table_prefix . "companies");
	$r->return_page  = "admin_companies.php";

	$yes_no = 
		array( 
			array(1, "Yes"), array(0, "No")
		);

	$r->add_where("company_id", INTEGER);
	$r->add_textbox("company_name", TEXT, "Company Name");
	$r->change_property("company_name", REQUIRED, true);
	$r->add_textbox("image_small", TEXT);
	$r->add_textbox("image_large", TEXT);
	$r->add_textbox("address_info", TEXT);
	$r->add_textbox("phone_number", TEXT);
	$r->add_textbox("fax_number", TEXT);
	$r->add_textbox("site_url", TEXT);
	$r->add_textbox("contact_email", TEXT, "Contact Email Address");
	$r->change_property("contact_email", REGEXP_MASK, EMAIL_REGEXP);
	$r->add_textbox("short_description", TEXT);
	$r->add_textbox("full_description", TEXT);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_companies_href", "admin_companies.php");
	$t->pparse("main");

?>