<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_quote.php                                          ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/

	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/sorter.php");
	
	check_admin_security();
	
	global $currency_left, $currency_right, $currency_rate;
		
	$quote_id = get_param("quote_id");
	$admin_id = get_session("session_admin_id");
	$date_added = date('Y-m-d');

	$features = array();

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_quote.html");
	
	//features for quote
	$r = new VA_Record($table_prefix . "quotes_features");
	$r->add_textbox("feature_1", TEXT);
	$r->add_textbox("feature_2", TEXT);
	$r->add_textbox("feature_3", TEXT);
	$r->add_textbox("feature_4", TEXT);
	$r->add_textbox("price_1", NUMBER);
	$r->add_textbox("price_2", NUMBER);
	$r->add_textbox("price_3", NUMBER);
	$r->add_textbox("price_4", NUMBER);	
	$r->add_textbox("date_1", DATE);
	$r->add_textbox("date_2", DATE);
	$r->add_textbox("date_3", DATE);
	$r->add_textbox("date_4", DATE);
	$r->add_textbox("date_due", DATE);
	$r->get_form_values();
	
	$features[0] = $r->get_value("feature_1");
	$features[1] = $r->get_value("feature_2");
	$features[2] = $r->get_value("feature_3");
	$features[3] = $r->get_value("feature_4");
	
	$dates[0] = $r->get_value("date_1");
	$dates[1] = $r->get_value("date_2");
	$dates[2] = $r->get_value("date_3");
	$dates[3] = $r->get_value("date_4");
	$date_due = $r->get_value("date_due");

	$prices[0] = $r->get_value("price_1");
	$prices[1] = $r->get_value("price_2");
	$prices[2] = $r->get_value("price_3");
	$prices[3] = $r->get_value("price_4");
	
	//insert features into db
		for ($i=0; $i<4; $i++)
		{
			if (strlen($features[$i]) != 0 )  
	  		{
	  			if (strlen($dates[$i])!=0)
	  			{
					$t=strtotime($dates[$i]);
					$dates[$i] =  date ("Y-m-d", $t);
				}
				else $dates[$i]=0; 
				$sql = "INSERT into va_quotes_features (feature_id, quote_id, feature_description, price, date_due) values (NULL, '$quote_id', '$features[$i]', '$prices[$i]', '$dates[$i]')";
				$result_sql = mysql_query($sql);
				header ("Location: admin_quotes.php");
			}
		}

	//info about quote
	$sql  = " SELECT * ";
	$sql .= " FROM " . $table_prefix . "quotes ";
	$sql .= " WHERE quote_id = ".$db->tosql($quote_id, INTEGER);
	$db->query($sql);
		if ($db->next_record()) 
		{
		  	$user_name = $db->f("user_name");
		  	$user_email = $db->f("user_email");
			$request_summary = $db->f("request_summary");
			$request_description = $db->f("request_description");
			$quote_status_id = $db->f("quote_status_id");
			$date_due = $db->f("date_due");
			$quoted_price = $db->f("quoted_price");
			
			$t->set_var("quote_id",  $quote_id);		  
  			$t->set_var("request_description",  $request_description);
  			$t->set_var("copy_descr",  $request_description);
		   	$t->set_var("user_email", $user_email);
			$t->set_var("user_name", $user_name);
			$t->set_var("date_due", $date_due);
			$t->parse("quote");

		}
			
		else {
			  		
			  	$t->set_var("error", "There is any Quote with such ID");
			  	$t->parse("errors");
			}
	

	$r1=  new VA_Record($table_prefix . "quotes");
	$r1->add_textbox("quoted_price", NUMBER);
	$r1->add_textbox("date_due", DATE);
	$r1->add_textbox("request_description", TEXT);	
	$r1->add_hidden("changed_descr", TEXT);
	$r1->get_form_values();
	$r1->add_where("quote_id", INTEGER);	
	$r1->set_value("quote_id", $quote_id);
	$d_d = $r1->get_value("date_due");
	$r_d = $r1->get_value("changed_descr");
	if ($d_d)
	{
	$t1=strtotime($d_d);
	$d_d =  date ("Y-m-d", $t1);
	}
	$q_p = $r1->get_value("quoted_price");
	
	//update quote description if changed
	if (strlen($r_d)!=0)
	{
	  	$sql_desc = "UPDATE va_quotes SET request_description='$r_d' where quote_id = '$quote_id'";
		$result_sql_desc = mysql_query($sql_desc);
		header ("Location: admin_quotes.php");
	}
	
	//update quote info with total price and date_due 
	if ($q_p!=NULL && strlen($d_d)!=0)		
	{
  
	$sql_up = "UPDATE va_quotes SET quoted_price='$q_p', quote_status_id = '2', date_due='$d_d' where quote_id = '$quote_id'";
	$result_sql_up = mysql_query($sql_up);
	
	//insert into history info about changes in status
	$sql_hist = "INSERT into va_quotes_history (quote_id, quote_status_id_old, quote_status_id_new, date_added, admin_id) values ('$quote_id', '1', '2','$date_added', '$admin_id')";
	$result_sql_hist = mysql_query($sql_hist);
	}
		

	
	include("./admin_header.php");
	include("./admin_footer.php");
	$t->pparse("main");
?>